Create new subscriber (public endpoint)
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"phone_number": "0771234567",
"pin": "1234"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John', last_name: 'Doe', phone_number: '0771234567', pin: '1234'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers"
payload = {
"first_name": "John",
"last_name": "Doe",
"phone_number": "0771234567",
"pin": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}Subscribers
Create new subscriber (public endpoint)
Create a new subscriber without authentication. Intended for third-party integrations.
POST
/
api
/
v1
/
public
/
subscribers
Create new subscriber (public endpoint)
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Doe",
"phone_number": "0771234567",
"pin": "1234"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John', last_name: 'Doe', phone_number: '0771234567', pin: '1234'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/api/v1/public/subscribers"
payload = {
"first_name": "John",
"last_name": "Doe",
"phone_number": "0771234567",
"pin": "1234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Subscriber registration details
Example:
"John"
Example:
"Doe"
Example:
"0771234567"
Example:
"1234"
Example:
"123 Main St"
Example:
"retail"
Example:
"https://example.com/cert.pdf"
Example:
"Western Urban"
Example:
"john@example.com"
Example:
"https://example.com/id_back.jpg"
Example:
"https://example.com/id_front.jpg"
Example:
1
Example:
4
Example:
"NID123456"
Example:
"ABC Company Ltd"
Example:
"Limited Company"
Example:
"Michael"
Example:
"REF123"
Example:
"RC123456"
Example:
1
Example:
"0771234567"
Response
Subscriber created successfully
The response is of type object.
⌘I